API Reference / V2 Esports List esports player matches Lists the esports matches of one player. Requires the `Strave-Installation-Id` header and the `esports_data` entitlement on the Application owner. A successful call costs one `esports_calls` unit, and a failed call costs nothing.
GET /api/v2/esports/players/{playerId}/matches
Parameters # Property Type Location Description playerIdstringRequired path- cursorstringquery- limitintegerquery- strave-installation-idstringRequired header-
Request # curl --request GET 'https://strave.gg/api/v2/esports/players/PLAYER_ID/matches' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'Response # 200Response for status 200
application/json 400Response for status 400
application/json 401Response for status 401
application/json 403Response for status 403
application/json 404Response for status 404
application/json 429Response for status 429
application/json 500Response for status 500
application/json 503Response for status 503
application/json Property Type Description dataobject[]Required - └ idstringRequired - └ eventIdstringRequired - └ eventNamestringRequired - └ scheduledAtstringRequired - └ statusstringRequired - └ bestOfintegerRequired - └ teamAobjectRequired - └ idstringRequired - └ namestringRequired - └ logoUrlstring | nullRequired - └ scorenumber | nullRequired - └ teamBobjectRequired - └ idstringRequired - └ namestringRequired - └ logoUrlstring | nullRequired - └ scorenumber | nullRequired - └ isFreeWinbooleanRequired - └ watchUrlstring | nullRequired - └ youtubeUrlstring | nullRequired - └ updatedAtstringRequired - metaobjectRequired - └ nextCursorstring | nullRequired - └ hasMorebooleanRequired -